<script setup>
import Modal from '@/Components/UI/Modal.vue';
import {UseItemStore} from '@/Stores/ItemStore';
import {ref, watch} from "vue";
import {colorGenerator} from "@/Modules/Color";

const itemStore = UseItemStore();

const color = ref(null);

watch(
    () => itemStore.item,
    (item) => {
        color.value = colorGenerator(item.features_color.color_number)
    }
);
</script>

<template>
    <Modal :nameModal="'item'">
        <div v-if="itemStore.item.item" class="modal__item">
            <div class="modal__item-left">
                <div class="modal__item-logo--wrapper">
                    <img class="modal__item-logo" :src="itemStore.item.item.image" alt="">
                </div>
            </div>
            <div class="modal__item-right">
                <div class="modal__item-top">
                    <div class="modal__item-rare" :style="'--background:' + color"></div>
                    <p class="modal__item-rare--text">{{ itemStore.item.features_color.name }}</p>
                </div>
                <p class="modal__item-title">{{ itemStore.item.item.name }}</p>
                <p class="modal__item-game">{{ itemStore.item.game.name }}</p>
                <div class="modal__item-line">
                    <div class="modal__item-price">
                        <p class="modal__item-price--title">Лучшая цена</p>
                        <p class="modal__item-price--price">{{ itemStore.item.price }} Р</p>
                    </div>
                    <div class="modal__item-selNum">
                        <div class="modal__item-selNum--left modal__item-sel">
                            <svg width="11" height="21" viewBox="0 0 11 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M10 1L1 10.5L10 20" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                        </div>
                        <p class="modal__item-selNum--num">{{ itemStore.item.count }}</p>
                        <div class="modal__item-selNum--right modal__item-sel">
                            <svg width="11" height="21" viewBox="0 0 11 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M1 20L10 10.5L1 0.999999" stroke="#BEBEBE" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                        </div>
                    </div>
                </div>
                <div class="modal__item-buttons">
                    <a class="button effect modal__item-button--add" href="">Добавить в корзину</a>
                    <a class="modal__item-button--sell button" href="addLot.html">Продать товар</a>
                </div>
                <div class="addLot__sixLine-block swiper-slide swiper-slide-active" role="group" aria-label="1 / 2" style="margin-right: 15px;">
                    <div v-for="item in itemStore.item.feature_icons" class="addLot__sixLine-item">
                        <div class="addLot__sixLine-top">
                            <img class="addLot__sixLine-img" :src="item.icon" alt="">
                        </div>
                        <p class="addLot__sixLine-bottom">{{ item.name }}</p>
                    </div>
                </div>
                <div v-for="txt in itemStore.item.features_texts" class="modal__lineChar">
                    <div class="modal__lineChar-line">
                        <p  class="modal__lineChar-text">{{ txt.name }}</p>
<!--                        <p class="modal__lineChar-text">Мифический</p>-->
                    </div>
                    <hr class="modal__lineChar-hr">
                </div>
            </div>
        </div>
    </Modal>
</template>
